# <dependent> properties file for spring Java Skirmish AIs
# This is used when you do not use the spring repository for compiling.
#
# Paths are relative to the project home (which is ../ from this file).
# All values are optional, and listed here with their defaults.
#
# The <dependent> default assumes that you have the spring source,
# and do a spring in-source build as it is the default with CMake and SCons,
# and as the buildbot does it.
#
# build-dir:    ${spring.home}/AI/Skirmish/${ai.name}/
# install-dir:  ${spring.home}/dist/AI/Skirmish/${ai.name}/${ai.version}/
#
# This file is loaded from within build.xml,
# but only if "Java-AIInterface/" and "JavaOO-AIWrapper/" dirs are not present.
#

;spring.home=../../..

# This is used only in the next property
;build.home=${spring.home}
# Where jar files will be built
;build.dir=${build.home}/AI/Skirmish/${skirmish.ai.name}

# This is used only in the next property
;dist.home=${spring.home}/dist
# Where jar files will be installed to
;dist.dir=${dist.home}/AI/Skirmish/${skirmish.ai.name}/${skirmish.ai.version}
# Where HTML JavaDoc files will be generated
;doc.dir=${dist.home}/AI/Skirmish/${skirmish.ai.name}/${skirmish.ai.version}/doc/jdoc

# The following four are needed for compiling (to create the classpath)
# * Here we look for ./data/jlib/*.jar recursively
;ai.interface.src.home=${spring.home}/AI/Interfaces/Java
# * Here we look for AIInterface.jar
;ai.interface.build.home=${build.home}/AI/Interfaces/Java
# * Here we look for ./jlib/*.jar recursively
;ai.wrapper.oo.src.home=${spring.home}/AI/Wrappers/JavaOO
# * Here we look for JavaOO-AIWrapper.jar
;ai.wrapper.oo.build.home=${build.home}/AI/Wrappers/JavaOO
